/* -*- mode: C++ ; c-basic-offset: 2; indent-tabs-mode: nil -*- */

%include "std_string.i"
%include "std_vector.i"

%{
#include "nds_epoch.hh"

using NDS::epoch;
%}

%nds_doc_class_seperator

%nds_doc_class_begin(epoch)
%nds_doc_brief("A timespan, either named or explicity delimited")
%nds_doc_details("An epoch is used to limit the scope of requests against an NDS2 server."
				 "The epoch may be named or have explicit [start, stop) ranges.")
%nds_doc_class_end
class epoch
{
public:
	std::string name;
	buffer::gps_second_type gps_start;
	buffer::gps_second_type gps_stop;

	epoch();
	epoch(const epoch &other);
	epoch (const std::string &name, buffer::gps_second_type start, buffer::gps_second_type stop);
};

%nds_doc_class_seperator

%template(epochs_type) std::vector<epoch>;
typedef std::vector<epoch> epochs_type;